Subject: Re: move some test-tools to 'unstable plumbing' built-ins

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Nov 2021 11:16:29 -0800

Taylor Blau <[email-masked]> writes:

> In my experience I *rarely* rely on test-helpers when debugging wedged
> repositories, and much more often end up either in gdb, or in an
> anonymized copy of the repository on a different server. I would imagine
> that others have similar experiences.
>
> So unless we had a much more compelling reason to have the test helpers
> more readily available, I do not think that the risk our users will
> begin to depend on these unstable tools is worth taking.

OK.  It sounds like a sensible argument against such a change.

Thanks.